<template>
  <div v-if="display" :style="nowStyle()" class="NowBlock" />
</template>

<script lang="ts" setup>
import { config, maxDate, minDate } from '@/states/weekPlanning'
import { dateToPosition } from './timedPosition'
import { Now } from '@/states'
import { computed } from 'vue'

const nowStyle = () => ({
  left: dateToPosition({ startDate: Now.value.toDate() }).left,
  width: `${config.blockWidth}px`,
})

const display = computed(
  () => Now.value.isAfter(minDate.value) && Now.value.isBefore(maxDate.value)
)
</script>

<style lang="scss" scoped>
@use 'src/style/variables' as v;
@use './weekPlanning' as wp;

.NowBlock {
  position: absolute;
  height: 100%;
  background-color: var(--success-color);
  opacity: 0.3;
}
</style>
